Go back to Richel Bilderbeek's homepage.

Go back to Richel Bilderbeek's C++ page.

 

 

 

 

 

(C++) Qt qmake error: no valid Qt version set

 

This qmake error occurred when porting code from Qt Creator under Ubuntu to Qt Creator under Windows.

 

The compile output is:

 

No valid Qt version set. Set one in Tools/Options
Error while building project CppPortQtCreatorUbuntuToQtCreatorWindows1
When executing build step 'QMake'
Canceled build.

 

Following this output, check Qt's version (png). In this case, the path to qmake was still to its Ubuntu location. So, set it to a valid location (png).

 

 

 

 

 

Go back to Richel Bilderbeek's C++ page.

Go back to Richel Bilderbeek's homepage.

 

Valid XHTML 1.0 Strict